{%- set cover_title -%}
   {% if CI_COMMIT_BRANCH is defined and CI_COMMIT_BRANCH == "main" -%}
      {{ CI_COMMIT_REF_SLUG }} version ({{CI_COMMIT_SHORT_SHA | default("local")}})
   {%- else -%}
      {{CI_COMMIT_BRANCH|default("local")}} Release
   {%- endif -%}
{% endset -%}

{%- set site_name -%}{% block site_name %}Gaia-X Document{% endblock %}{% endset -%}

site_name: {{ site_name }} - {{ cover_title }}
theme:
  name: material
  palette:
    scheme: default
    primary: indigo
    accent: purple
  font:
    text: Titillium Web
{%- if generate_pdf is defined %}
# theme:
#     name: null
#     custom_dir: 'template_pdf/custom_theme_pdf/'
{%- else %}
{%- endif %}

repo_url: {% block rep_url %}{{CI_PROJECT_URL|default("http://localhost")}}{% endblock %}
edit_uri: {% block edit_url %}edit/main/docs/{% endblock %}
docs_dir: {% block docs_dir %}docs{% endblock %}
site_dir: build
extra_css:
   - template_html/extra.css
extra_javascript:
  - template_html/mathjax.js
  - https://polyfill.io/v3/polyfill.min.js?features=es6
  - https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js

{% block nav %}
nav:
 #- README.md
{% endblock %}

plugins:
- search
- enumerate-headings
- include-markdown
- glightbox
{%- if generate_pdf is defined %}
- with-pdf:
   verbose: true
   author: Gaia-X European Association for Data and Cloud AISBL
   copyright: ©2022 Gaia-X European Association for Data and Cloud AISBL
   cover_title: {{ site_name }}
   cover_subtitle: {{ cover_title }}
   cover_logo: figures/gaia-x-logo-full.svg
   debug_html: true
   custom_template_path: template_pdf
   render_js: true
   headless_chrome_path: chromium-browser
{%- endif %}

markdown_extensions:
- smarty
- toc
- footnotes
- attr_list
- md_in_html
- plantuml_markdown:
   server: http://www.plantuml.com/plantuml
- pymdownx.emoji:
   {# emoji_generator: !!python/name:pymdownx.emoji.to_png #}
   emoji_generator: !!python/name:materialx.emoji.to_svg
- admonition
- pymdownx.details
- pymdownx.arithmatex:
   generic: true
{%- if generate_pdf is not defined %}
- pymdownx.superfences:
   custom_fences:
      - name: mermaid # https://squidfunk.github.io/mkdocs-material/reference/diagrams/
        class: mermaid
        format: !!python/name:pymdownx.superfences.fence_code_format
{%- endif %}

{# - pymdownx.superfences:
   custom_fences:
      - name: mermaid
        class: mermaid
        format: !!python/object/apply:nojsmermaid4mkdocs.with_server
          kwds:
            host: http://localhost:8888
            format: png
            theme: base
            themeVariables: { "primaryColor": "#CCE4FF", "edgeLabelBackground": "#ffffff", "tertiaryColor": "#b900ff11", "tertiaryTextColor": "#000", "tertiaryBorderColor": "#b900ff" } # using https://filosophy.org/code/online-tool-to-lighten-color-without-alpha-channel/ to remove alpha channel from standard 4 colors
            themeCSS: ".label, .cluster-label, .actor, .messageText, .noteText, .loopText, .labelText {font-family: 'Titillium Web' !important; font-size: 10pt !important} .cluster-label {font-weight: 700}" # tested using https://mermaid.live/ #}

